<?

#	.................................................................................
#
#		Скрипт:	Manlix Randomer, версия: 1.0
#		Автор:	Manlix (http://manlix.ru)
#	.................................................................................

if(phpversion()<4.1) exit("<font face='verdana' size='1' color='#de0000'><b>Версия PHP интерпретатора должна быть 4.3.0 или выше, но никак не ниже (ваша версия интерпретатора: ".phpversion().")</b></font>");

function error($error,$file){exit('<font face=verdana size=1 color=#de0000><b>'.$error.'<br>['.htmlspecialchars($file).']</b></font>');}

function CheckConf($conf)
{
	while(list($section,$array)=each($conf))
		while(list($key,$value)=each($array))
			if(!strlen($value))
			error("В файле параметров скрипта, а именно в секции <font color=green>".$section."</font>, пуст ключ <font color=green>".$key."</font>",$conf['dir']['inc']."/config.inc.dat");
}

$manlix=parse_ini_file("/vhosts/cool-wm.ru/htdocs/anek/inc/config.inc.dat",1) or error("не могу загрузить основной файл параметров","./inc/config.inc.dat");

if(!include($manlix['file']['functions']))
error("не найден файл с функциями",$manlix['file']['functions']);

CheckConf($manlix);

	while(list($section,$array)=each($manlix))
		while(list($key,$value)=each($array))
		$manlix['other'][chr(73).chr(110).chr(105).ucfirst(strtolower($section)).ucfirst(strtolower($key))]=$value;

$manlix['result']=null;

if(!is_readable($manlix['file']['data']))
error("Нет прав для чтения базы",$manlix['file']['data']);

else
{
$array=manlix_read_file($manlix['file']['data']);
	if(!$ArrayCount=count($array))
	$manlix['result']=$manlix['other']['empty'];

	else
	{
	$TempString=$array[rand(0,($ArrayCount-1))];
	list(,$result)=explode("::",$TempString);
	$manlix['result']=base64_decode($result);
	}
}

if(isset($_GET['js']))
printf($manlix['other']['js'],addslashes($manlix['result']));

else
echo $manlix['result'];
?>